Summary:	GUPnP Tools
Summary(pl.UTF-8):	Narzędzia GUPnP
Name:		gupnp-tools
Version:	0.12.1
Release:	1
License:	GPL v2+
Group:		X11/Applications
Source0:	https://download.gnome.org/sources/gupnp-tools/0.12/%{name}-%{version}.tar.xz
# Source0-md5:	b483213862f84437aa51c27031419c81
Patch0:		%{name}-desktop.patch
URL:		http://gupnp.org/
BuildRequires:	gettext-tools >= 0.19.7
BuildRequires:	glib2-devel >= 1:2.68
BuildRequires:	gssdp1.6-devel >= 1.6.0
BuildRequires:	gtk+3-devel >= 3.10.0
BuildRequires:	gtksourceview4-devel >= 4
BuildRequires:	gupnp-av-devel >= 0.5.5
BuildRequires:	gupnp1.6-devel >= 1.6.0
BuildRequires:	libsoup3-devel >= 3.0
BuildRequires:	libuuid-devel
BuildRequires:	libxml2-devel >= 2.0
BuildRequires:	meson
BuildRequires:	ninja >= 1.5
BuildRequires:	pkgconfig
BuildRequires:	rpmbuild(macros) >= 1.736
BuildRequires:	sed >= 4.0
BuildRequires:	tar >= 1:1.22
BuildRequires:	xz
Requires:	adwaita-icon-theme
Requires:	glib2 >= 1:2.68
Requires:	gssdp1.6 >= 1.6.0
Requires:	gtk+3 >= 3.10.0
Requires:	gupnp-av >= 0.5.5
Requires:	gupnp1.6 >= 1.6.0
Requires:	libsoup3 >= 3.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
GUPnP Tools are free replacements of Intel UPnP tools that use GUPnP.
They provides the following client and server side tools which enable
one to easily test and debug one's UPnP devices and control points:

- Universal Control Point: a tool that enables one to discover UPnP
  devices and services, retrieve information about them, subscribe to
  events and invoke actions.

- Network Light: a virtual light bulb that allows control points to
  switch it on and off, change its dimming level and query its current
  status. It also provides a simple UI to control all the network
  lights available on the network.

- AV Control Point: a simple media player UI that enables one to
  discover and play multimedia contents available on a network.

- Upload: a simple commandline utility that uploads files to known
  MediaServers. Use Universal Control Point for discovering the
  MediaServers.

%description -l pl.UTF-8
Narzędzia GUPnP to wolnodostępne zamienniki narzędzi UPnP Intela
wykorzystujące GUPnP. Udostępniają następujące narzędzia klienckie i
serwerowe, pozwalające łatwo diagnozować urządzenia i punkty kontrolne
UPnP:

- Universal Control Point (uniwersalny punkt kontrolny) - narzędzie
  pozwalające wykrywać urządzenia i usługi UPnP, odczytywać informacje
  o nich, pobierać zdarzenia i wywoływać akcje.

- Network Light (światło sieciowe) - wirtualna żarówka pozwalająca
  punktom kontrolnym na włączanie i wyłączanie, zmianę poziomu
  oświetlenia oraz sprawdzanie aktualnego stanu. Udostępnia także
  prosty interfejs użytkownika do sterowania światłami sieciowymi
  dostępnymi w sieci.

- AV Control Point (punkt kontrolny AV) - prosty interfejs użytkownika
  odtwarzacza multimedialnego pozwalający wykrywać i odtwarzać treści
  multimedialne dostępne w sieci.

- Upload - proste narzędzie działające z linii poleceń przesyłające
  pliki na znane serwery multimediów (MediaServers). Serwery można
  zlokalizować przy użyciu uniwersalnego punktu kontrolnego.

%prep
%setup -q
%patch0 -p1

# disable due to libxml2 xmlRecoverMemory deprecation
%{__sed} -i -e '/-Werror=deprecated-declarations/d' meson.build

%build
%meson build

%ninja_build -C build

%install
rm -rf $RPM_BUILD_ROOT

%ninja_install -C build

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README.md
%attr(755,root,root) %{_bindir}/gssdp-discover
%attr(755,root,root) %{_bindir}/gupnp-av-cp
%attr(755,root,root) %{_bindir}/gupnp-event-dumper
%attr(755,root,root) %{_bindir}/gupnp-network-light
%attr(755,root,root) %{_bindir}/gupnp-universal-cp
%attr(755,root,root) %{_bindir}/gupnp-upload
%{_datadir}/gupnp-tools
%{_desktopdir}/gupnp-av-cp.desktop
%{_desktopdir}/gupnp-network-light.desktop
%{_desktopdir}/gupnp-universal-cp.desktop
%{_iconsdir}/hicolor/*x*/apps/av-cp.png
%{_iconsdir}/hicolor/*x*/apps/network-light.png
%{_iconsdir}/hicolor/*x*/apps/universal-cp.png
%changelog
* Fri Aug 18 2023 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/gupnp-tools.git;a=log;h=master

* Fri Aug 18 2023 Jakub Bogusz <qboosh@pld-linux.org> a3b8c8a
- updated to 0.12.1

* Sat Mar 25 2023 Jakub Bogusz <qboosh@pld-linux.org> 2fec45b
- updated to 0.12.0 (gupnp1.6/libsoup3 based)

* Fri May 20 2022 Jakub Bogusz <qboosh@pld-linux.org> d83235a
- updated to 0.10.3

* Wed Nov 17 2021 Jakub Bogusz <qboosh@pld-linux.org> f668792
- updated to 0.10.2
- removed obsolete format patch

* Mon Sep 20 2021 Jan Rękorajski <baggins@pld-linux.org> d11c102
- Release 3 (by relup.sh)

* Wed Jun 23 2021 Jakub Bogusz <qboosh@pld-linux.org> 8c687d6
- rediffed desktop patch, release 2

* Tue Jun 22 2021 Jakub Bogusz <qboosh@pld-linux.org> 3ca59b5
- updated to 0.10.1
- removed obsolete meson patch
- added format patch (missing format string)

* Wed Apr 17 2019 Jakub Bogusz <qboosh@pld-linux.org> 6dd974c
- updated to 0.10.0 (for gssdp/gupnp 1.2.x)
- added meson patch

* Mon Dec 10 2018 Jakub Bogusz <qboosh@pld-linux.org> 6eb323c
- updated to 0.8.15; now used meson and defaults to gtksourceview4
- updated desktop patch

* Tue Feb 27 2018 Marcin Banasiak <marcin.banasiak@gmail.com> a24ebd0
- Update to 0.8.14

* Tue Dec 27 2016 Marcin Banasiak <marcin.banasiak@gmail.com> bc46341
- Update to 0.8.13

* Thu May 12 2016 Jakub Bogusz <qboosh@pld-linux.org> 23278b5
- updated to 0.8.12
- updated desktop patch

* Sat Nov 28 2015 Jakub Bogusz <qboosh@pld-linux.org> 9376fb3
- updated to 0.8.11

* Wed May 27 2015 Jakub Bogusz <qboosh@pld-linux.org> b388453
- updated to 0.8.10
- removed obsolete configure patch

* Sun Dec 28 2014 Jan Rękorajski <baggins@pld-linux.org> f1ed67d
- updated gettext BR

* Fri Feb 07 2014 Jakub Bogusz <qboosh@pld-linux.org> f3b99ea
- updated to 0.8.9

* Wed Nov 13 2013 Jakub Bogusz <qboosh@pld-linux.org> f47d77f
- updated to 0.8.8

* Thu Aug 22 2013 Jakub Bogusz <qboosh@pld-linux.org> f740fb6
- updated to 0.8.7

* Wed Apr 03 2013 Jakub Bogusz <qboosh@pld-linux.org> 3c348e5
- updated to 0.8.6.1

* Sun Mar 31 2013 Łukasz Kieś <kiesiu@pld-linux.org> fa9624d
- rebuild with libgtksourceview-3.0.so.1
- release 2 (by relup.sh)

